@echo off
:	Mark's modgen util package
:	LGuzman modified to have only a BAT file
:    Updated to use Lasse's nmodified PG2RPACK
:    patched as PEG_RPACK, to create _MODGEN.DAT
Echo --------------------------------

: * LGuzman
: ----------
Echo Checking all files needed
if not exist ..\peoples.exe goto l_err

if not exist panzer2.dat goto l_err
if not exist modgen.dat goto l_err

if not exist PEG_RPACK.exe goto l_err
if not exist upg2shp.exe goto l_err
if not exist upegdat.exe goto l_err
if not exist ppegdat.exe goto l_err
if not exist shp2s16.exe goto l_err
if not exist pg2.pal goto l_err

if not exist FileList.exe goto l_err
if not exist Exec.exe goto l_err
if not exist Say.exe goto l_err

Echo --------------------------------
Echo Unpacking Panzer General 2 Data
Echo --------------------------------
upg2shp
say /*.shp "SHP files unpacked from panzer2.dat"
Echo --------------------------------
rem  upegdat doesn't work with more than 1000
rem  upegdat panzer2.dat pg2list.txt

Echo deleting some shp files
: check if exist to avoid DOS errors 
if exist bigflags.shp del bigflags.shp
if exist br_01.shp del br_01.shp
if exist br_02.shp del br_02.shp
if exist br_03.shp del br_03.shp
if exist br_04.shp del br_04.shp
if exist br_05.shp del br_05.shp
if exist br_06.shp del br_06.shp
if exist br_07.shp del br_07.shp
if exist br_08.shp del br_08.shp
if exist br_09.shp del br_09.shp
if exist br_10.shp del br_10.shp
if exist br_11.shp del br_11.shp
if exist br_12.shp del br_12.shp
if exist br_13.shp del br_13.shp
if exist br_14.shp del br_14.shp
if exist br_15.shp del br_15.shp
if exist br_16.shp del br_16.shp
if exist br_17.shp del br_17.shp
if exist br_18.shp del br_18.shp
if exist br_19.shp del br_19.shp
if exist br_20.shp del br_20.shp
if exist br_21.shp del br_21.shp
if exist br_22.shp del br_22.shp
if exist br_23.shp del br_23.shp
if exist br_24.shp del br_24.shp
if exist br_25.shp del br_25.shp
if exist br_26.shp del br_26.shp
if exist br_27.shp del br_27.shp
if exist br_28.shp del br_28.shp
if exist br_29.shp del br_29.shp
if exist br_30.shp del br_30.shp
if exist br_31.shp del br_31.shp
if exist br_32.shp del br_32.shp
if exist Br_bgd01.shp del Br_bgd01.shp
if exist Campaign.shp del Campaign.shp
if exist Career.shp del Career.shp
if exist Dossier.shp del Dossier.shp
if exist Editscen.shp del Editscen.shp
if exist Exper.shp del Exper.shp
if exist Explode.shp del Explode.shp
if exist Fire01.shp del Fire01.shp
if exist Fire02.shp del Fire02.shp
if exist Fire03.shp del Fire03.shp
if exist Fire04.shp del Fire04.shp
if exist Fire05.shp del Fire05.shp
if exist Fire06.shp del Fire06.shp
if exist Fire07.shp del Fire07.shp
if exist Fire08.shp del Fire08.shp
if exist Fire09.shp del Fire09.shp
if exist flags1.shp del flags1.shp
if exist forces.shp del forces.shp
if exist french.shp del french.shp
if exist german.shp del german.shp
if exist hex.shp del hex.shp
if exist hotkey.shp del hotkey.shp
if exist hourglas.shp del hourglas.shp
if exist inspect.shp del inspect.shp
if exist lancreat.shp del lancreat.shp
if exist loadsave.shp del loadsave.shp
if exist logo.shp del logo.shp
if exist mainbutn.shp del mainbutn.shp
if exist mainmenu.shp del mainmenu.shp
if exist mltichat.shp del mltichat.shp
if exist mltiplyr.shp del mltiplyr.shp
if exist newequip.shp del newequip.shp
if exist notfired.shp del notfired.shp
if exist purchase.shp del purchase.shp
if exist saveload.shp del saveload.shp
if exist scenario.shp del scenario.shp
if exist sound.shp del sound.shp
if exist startger.shp del startger.shp
if exist startscr.shp del startscr.shp
if exist textbox.shp del textbox.shp
if exist treedmg.shp del treedmg.shp
if exist turnplt.shp del turnplt.shp
if exist unitdead.shp del unitdead.shp
if exist unitfire.shp del unitfire.shp
if exist uniticon.shp del uniticon.shp
if exist unitinfo.shp del unitinfo.shp
if exist untexp01.shp del untexp01.shp
if exist upgrade.shp del upgrade.shp
if exist vcr.shp del vcr.shp
if exist viewunit.shp del viewunit.shp
del *.000
del fon*.dat
del game.pal

Echo --------------------------------
Echo Unpacking People's General Data
Echo --------------------------------
upegdat modgen.dat peglist.txt
say /*.s16 "S16 files unpacked from modgen.dat"

Echo deleting some s16 files
: check if exist to avoid DOS errors 
if exist AC11US.S16 del AC11US.S16
if exist AC13GE.S16 del AC13GE.S16
if exist AC13UK.S16 del AC13UK.S16
if exist AC18CH.S16 del AC18CH.S16
if exist AC18RU.S16 del AC18RU.S16
if exist AC23UK.S16 del AC23UK.S16
if exist AC23US.S16 del AC23US.S16
if exist AC26CH.S16 del AC26CH.S16
if exist AC26FR.S16 del AC26FR.S16
if exist AC26GE.S16 del AC26GE.S16
if exist AC26RU.S16 del AC26RU.S16
if exist AC26RUB.S16 del AC26RUB.S16
if exist AC26UK.S16 del AC26UK.S16
if exist AC26US.S16 del AC26US.S16
if exist AC30CH.S16 del AC30CH.S16
if exist AC30RU.S16 del AC30RU.S16
if exist AC30UK.S16 del AC30UK.S16
if exist AC31UK.S16 del AC31UK.S16
if exist AC31US.S16 del AC31US.S16
if exist AC32RU.S16 del AC32RU.S16
if exist AC3RU.S16 del AC3RU.S16
if exist AC40CH.S16 del AC40CH.S16
if exist AC40RU.S16 del AC40RU.S16
if exist AC41CH.S16 del AC41CH.S16
if exist AC41CHB.S16 del AC41CHB.S16
if exist AC41RU.S16 del AC41RU.S16
if exist AC41RUB.S16 del AC41RUB.S16
if exist AC41US.S16 del AC41US.S16
if exist AC41USB.S16 del AC41USB.S16
if exist AC42CH.S16 del AC42CH.S16
if exist AC42CHB.S16 del AC42CHB.S16
if exist AC42US.S16 del AC42US.S16
if exist AC42USB.S16 del AC42USB.S16
if exist AC43CH.S16 del AC43CH.S16
if exist AC43FR.S16 del AC43FR.S16
if exist AC43GE.S16 del AC43GE.S16
if exist AC43RU.S16 del AC43RU.S16
if exist AC43UK.S16 del AC43UK.S16
if exist AC43US.S16 del AC43US.S16
if exist AC5US.S16 del AC5US.S16
if exist AC6CH.S16 del AC6CH.S16
if exist AC6FR.S16 del AC6FR.S16
if exist AC6GE.S16 del AC6GE.S16
if exist AC6UK.S16 del AC6UK.S16
if exist AC6US.S16 del AC6US.S16
if exist IF14CH.S16 del IF14CH.S16
if exist IF14FR.S16 del IF14FR.S16
if exist IF14GE.S16 del IF14GE.S16
if exist IF14RU.S16 del IF14RU.S16
if exist IF14UK.S16 del IF14UK.S16
if exist IF14US.S16 del IF14US.S16
if exist IF9CH.S16 del IF9CH.S16
if exist IF9FR.S16 del IF9FR.S16
if exist IF9GE.S16 del IF9GE.S16
if exist IF9RU.S16 del IF9RU.S16
if exist IF9UK.S16 del IF9UK.S16
if exist IF9US.S16 del IF9US.S16
if exist Mouse.s16 del Mouse.s16
if exist N102.S16 del N102.S16
if exist N102UK.S16 del N102UK.S16
if exist N103.S16 del N103.S16
if exist N104CH.S16 del N104CH.S16
if exist N104RS.S16 del N104RS.S16
if exist N104UK.S16 del N104UK.S16
if exist N104US.S16 del N104US.S16
if exist N105.S16 del N105.S16
if exist N107FR.S16 del N107FR.S16
if exist N107GE.S16 del N107GE.S16
if exist N113SI.S16 del N113SI.S16
if exist N115.S16 del N115.S16
if exist N115US.S16 del N115US.S16
if exist N116FR.S16 del N116FR.S16
if exist N150US.S16 del N150US.S16
if exist N151US.S16 del N151US.S16
if exist N152FR.S16 del N152FR.S16
if exist N153US.S16 del N153US.S16
if exist N154GE.S16 del N154GE.S16
if exist N155FR.S16 del N155FR.S16
if exist N155UK.S16 del N155UK.S16
if exist N156FR.S16 del N156FR.S16
if exist N156GR.S16 del N156GR.S16
if exist N156UK.S16 del N156UK.S16
if exist N156US.S16 del N156US.S16
if exist N157FR.S16 del N157FR.S16
if exist N157UK.S16 del N157UK.S16
if exist N158FR.S16 del N158FR.S16
if exist N158UK.S16 del N158UK.S16
if exist N158US.S16 del N158US.S16
if exist N159CH.S16 del N159CH.S16
if exist N159RU.S16 del N159RU.S16
if exist N159UK.S16 del N159UK.S16
if exist N160UK.S16 del N160UK.S16
if exist N161US.S16 del N161US.S16
if exist N19FR.S16 del N19FR.S16
if exist N19UK.S16 del N19UK.S16
if exist N19US.S16 del N19US.S16
if exist N22UK.S16 del N22UK.S16
if exist N22US.S16 del N22US.S16
if exist N301US.S16 del N301US.S16
if exist N38SI.S16 del N38SI.S16
if exist N38SK.S16 del N38SK.S16
if exist N41.S16 del N41.S16
if exist N47GE.S16 del N47GE.S16
if exist N48.S16 del N48.S16
if exist N48US.S16 del N48US.S16
if exist N54FR.S16 del N54FR.S16
if exist N54GE.S16 del N54GE.S16
if exist N60UK.S16 del N60UK.S16
if exist N60US.S16 del N60US.S16
if exist N62US.S16 del N62US.S16
if exist N64.S16 del N64.S16
if exist N64CH.S16 del N64CH.S16
if exist N64FR.S16 del N64FR.S16
if exist N64GE.S16 del N64GE.S16
if exist N64RU.S16 del N64RU.S16
if exist N64UK.S16 del N64UK.S16
if exist N64US.S16 del N64US.S16
if exist N66FR.S16 del N66FR.S16
if exist N66UK.S16 del N66UK.S16
if exist N66US.S16 del N66US.S16
if exist N67FR.S16 del N67FR.S16
if exist N67UK.S16 del N67UK.S16
if exist N68UK.S16 del N68UK.S16
if exist N68US.S16 del N68US.S16
if exist N70UK.S16 del N70UK.S16
if exist N70US.S16 del N70US.S16
if exist N72AGE.S16 del N72AGE.S16
if exist N72AUK.S16 del N72AUK.S16
if exist N72GE.S16 del N72GE.S16
if exist N72UK.S16 del N72UK.S16
if exist N73FR.S16 del N73FR.S16
if exist N73GE.S16 del N73GE.S16
if exist N74FR.S16 del N74FR.S16
if exist N74GE.S16 del N74GE.S16
if exist N86.S16 del N86.S16
if exist N99FR.S16 del N99FR.S16
if exist N99UK.S16 del N99UK.S16
if exist N99US.S16 del N99US.S16
if exist VN8FR.S16 del VN8FR.S16
if exist VN8UK.S16 del VN8UK.S16
if exist W23CH.S16 del W23CH.S16
if exist W23RU.S16 del W23RU.S16
if exist W23UK.S16 del W23UK.S16
if exist W24CH.S16 del W24CH.S16
if exist W24RU.S16 del W24RU.S16
if exist W301CH.S16 del W301CH.S16
if exist W32CH.S16 del W32CH.S16
if exist W32RU.S16 del W32RU.S16
if exist W33CH.S16 del W33CH.S16
if exist W33RU.S16 del W33RU.S16
if exist W35CH.S16 del W35CH.S16
if exist W35RU.S16 del W35RU.S16
if exist W35VI.S16 del W35VI.S16
if exist W39CH.S16 del W39CH.S16
if exist W39RU.S16 del W39RU.S16
if exist W42CH.S16 del W42CH.S16
if exist W42RU.S16 del W42RU.S16
if exist W46CH.S16 del W46CH.S16
if exist W46RS.S16 del W46RS.S16
if exist W50CH.S16 del W50CH.S16
if exist W50RU.S16 del W50RU.S16
if exist W51CH.S16 del W51CH.S16
if exist W51FR.S16 del W51FR.S16
if exist W51GE.S16 del W51GE.S16
if exist W51RU.S16 del W51RU.S16
if exist W51UK.S16 del W51UK.S16
if exist W51US.S16 del W51US.S16
if exist W57CH.S16 del W57CH.S16
if exist W57RU.S16 del W57RU.S16
if exist W59CH.S16 del W59CH.S16
if exist W59RU.S16 del W59RU.S16
if exist W63CH.S16 del W63CH.S16
if exist W63RU.S16 del W63RU.S16
if exist W70CH.S16 del W70CH.S16
if exist W70RU.S16 del W70RU.S16
if exist W71CH.S16 del W71CH.S16
if exist W73CH.S16 del W73CH.S16
if exist W74CH.S16 del W74CH.S16
if exist W74CHB.S16 del W74CHB.S16
if exist W75CH.S16 del W75CH.S16
if exist W75RU.S16 del W75RU.S16
if exist W76CH.S16 del W76CH.S16
if exist W77CH.S16 del W77CH.S16

Echo -----------------------------------
Echo Converting SHP to S16
say /*.shp "files should be converted to S16"
Echo so be patient please, it will take a while to do
Echo -----------------------------------
: Mark's excel method changed
: * LGuzman
: ----------
Exec shp2s16.exe *.shp s16 pg2.pal > SHP_S16.bat
call SHP_S16.bat

:----------------------------------
: MadMan & Mark last package
:----------------------------------
if exist Airset.s16 del Airset.s16
if exist Airslct.s16 del Airslct.s16
if exist Buttons.s16 del Buttons.s16
if exist flags1.s16 del flags1.s16
if exist Infoicon.s16 del Infoicon.s16
if exist Inspunit.s16 del Inspunit.s16
if exist Leaders.s16 del Leaders.s16
if exist Mouse.s16 del Mouse.s16
if exist PURCHASE.s16 del PURCHASE.s16
if exist Start.s16 del Start.s16
if exist gui97.txt del gui97.txt

: ---------------------------------
: * LGuzman
: * renamed all *_z.s16 as *_z.s
: * to keep when deleted all *.s16
: ---------------------------------
copy	Airset_z.s	Airset.s16
copy	Airslct_z.s	Airslct.s16
copy	Buttons_z.s	Buttons.s16
copy	flags1_z.s	flags1.s16
copy	Infoicon_z.s	Infoicon.s16
copy	Inspunit_z.s	Inspunit.s16
copy	Leaders_z.s	Leaders.s16
copy	Mouse_z.s	Mouse.s16
copy	PURCHASE_z.s	PURCHASE.s16
copy	Start_z.s	Start.s16
:----------------------------------

Echo -----------------------------------------
Echo Making new PeG dat file
Echo -----------------------------------------
: * LGuzman
: DOS sorting doesn't work
: so we should use new tool instead
: creates filelst.txt to work with Lasse's repack
: patched to create _MODGEN.DAT
: ----------
FileList *.s16 filelst.txt
cls
PEG_RPACK
cls

Echo -----------------------------------------
Echo Creating back up
Echo -----------------------------------------
if not exist back\modgen_usr.dat md back
copy modgen.dat back\modgen_usr.dat
if exist GUI97.txt copy GUI97.txt back\GUI97_usr.txt
copy _modgen.dat modgen.dat
del _modgen.dat
copy GUI97_z.txt GUI97.txt

: if root game folder is accesible we can backup
if not exist ..\peoples.exe goto l_delete
copy ..\GUI97.txt  back\GUI97_old.txt
copy ..\modgen.dat  back\modgen_old.txt
copy ..\equip97.eqp  back\equip97_old.eqp
copy ..\equip97.txt  back\equip97_old.txt
copy ..\names.txt  back\names_old.txt

:l_delete
Echo -----------------------------------------
Echo Deleting all SHP and S16 files
Echo -----------------------------------------
del *.shp
del *.s16

Echo  * Created new PEG-WW2 MODGEN.DAT *
Echo  * Copy MODGEN.DAT to your PeG:WW2 main folder.
Echo  * Copy GUI97.txt to your PeG:WW2 main folder.
Echo    - Mark Kirby (updated September 2003) -

goto l_end

:l_err
echo --------------------------------------------
echo ERROR !
echo You should be running in a game child folder 
echo     Check if you have all this files
echo ---------------------------------------------

echo panzer2.dat
echo modgen.dat
echo upg2shp.exe
echo PEG_RPACK.exe
echo upegdat.exe
echo ppegdat.exe
echo shp2s16.exe
echo pg2.pal
echo FileList.exe
echo Exec.exe
echo Say.exe

echo --------------------------------------------------
echo         What to do if you don't ?
echo Be sure you have copied panzer2.dat to this folder
echo Be sure you have copied SSI modgen.dat here also
echo         Be sure you have unzzipped all tools
echo        Post on JP's Peoples forum, to get help.
echo ..................................................
Echo      - Mark Kirby (updated September 2003) -
pause

:l_end